EDIT - feature request #6559

Order misapplied names in name editor
04/07/2017 03:15 PM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.3

Severity: normal

Description

Mail from Walter:
"Hallo,

wir haben eben 4 misapplied names eingegeben. Die Zeile fir den neuen Namen wurde dabei einmal am Anfang (beim 1. und 2.),
einmal am Ende (beim dritten) und einmal in der Mitte der Namensliste eingefugt.

Da die Zeile nicht irgendwie graphisch hervorgehoben ist, und (am Ende) dann auch mal aus dem Fenster lauft, ware am
glnstigsten, sie immer am Anfang zu haben.

Herzlichen Gruf3

Walter"

Related issues:
Related to EDIT - feature request #6390: Details view for misapplied names Closed

Associated revisions

Revision 653849b4 - 09/10/2018 01:40 PM - Katja Luther
ref #6559: get and ordered list of MAN, proparte synonyms and invalid designations

Revision 54cc3cab6 - 09/10/2018 01:47 PM - Katja Luther

ref #6559: order misapplied names, pro parte synonyms and invalid designations

History

#1 - 04/07/2017 03:16 PM - Patrick Plitzner

- Related to feature request #6390: Details view for misapplied names added

#2 - 06/23/2017 11:04 AM - Andreas Miiller

- Assignee changed from Patrick Plitzner to Katja Luther

#3 - 09/10/2018 12:43 PM - Katja Luther

- Status changed from New to In Progress

#4 - 09/10/2018 12:53 PM - Katja Luther

- Target version changed from Unassigned CDM tickets to Release 5.3

#5 - 09/10/2018 01:50 PM - Katja Luther
- Status changed from In Progress to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

now the MAN, pro parte synonyms and invalid designations are sorted by titteCache, new elements are set at the beginning of the list

#6 - 09/11/2018 02:16 PM - Andreas Miuller

- Status changed from Resolved to Closed
- Assignee changed from Andreas Mtiller to Katja Luther
- % Done changed from 0 to 100
Works fine. It can be discussed if setting the new elements to beginning is expected behavior. But for now we can leave it as it is.

Maybe we need to check again once the TaxonRelationshipFormatter is used for the second line. It has symbols at the beginning which maybe lead
to unexpected results. But this is only the case for MANs with equal names.
